.main-menu {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  display: flex;
  align-items: center;
  background-color: var(--base-inverse-background);
  color: var(--base-inverse-color);
  height: 3em;
  padding: 1em $spacer-small;
  width: 100%;

  a {
    background-color: transparent;
    color: var(--base-inverse-color);
    // margin-left: $spacer-default;

    &.active {
      font-weight: $stand-out-font-weight;
    }
  }

  &__main {
    flex-grow: 1;
  }

  &__trigger {
    padding: $spacer-tiny $spacer-default;
  }

  &__links {
    text-align: right;

    &__content {
      display: none;
      flex-direction: column;
      z-index: 1000;
      position: absolute;
      top: $spacer-default;
      right: $spacer-default;
      padding: $spacer-small;
      background-color: var(--base-inverse-background);

      a {
        padding: $spacer-small $spacer-default;
      }
    }

    &:hover .main-menu__links__content,
    &:active .main-menu__links__content,
    &:focus .main-menu__links__content {
      display: flex;
    }

    &:not(:last-child) {
      margin-right: $spacer-default;
    }
  }

  // > a {
  // margin-right: $spacer-default;
  // }
}

@include respond-to('small-up') {
  .main-menu {
    //&__links:not(:last-child) {
    //  margin-right: 0;
    //}

    &__links{

    }

    &__links--expandable {
      .main-menu__trigger {
        display: none;
      }

      .main-menu__links__content {
        display: flex;
        position: relative;
        flex-direction: row;
        top: unset;
        right: unset;
        padding: unset;
      }
    }
  }
}
